Package org.gradle.plugins.ide.idea.model

# Class ModuleLibrary

java.lang.Object
org.gradle.plugins.ide.idea.model.ModuleLibrary

All Implemented Interfaces:
  `Dependency`

Direct Known Subclasses:
  `SingleEntryModuleLibrary`

public class ModuleLibrary extends Object implements Dependency
Represents an orderEntry of type module-library in the iml XML.

## Constructor Summary

Constructors
Constructor
Description
`ModuleLibrary(Collection<? extends Path> classes, Collection<? extends Path> javadoc, Collection<? extends Path> sources, Collection<JarDirectory> jarDirectories, String scope)`

## Method Summary

Modifier and Type
Method
Description
`void`
`addToNode(Node parentNode)`
`boolean`
`equals(Object o)`
`Set<Path>`
`getClasses()`
A set of Jar files or directories containing compiled code.
`Set<JarDirectory>`
`getJarDirectories()`
A set of directories containing Jar files.
`Set<Path>`
`getJavadoc()`
A set of Jar files or directories containing Javadoc.
`String`
`getScope()`
The scope of this library.
`Set<Path>`
`getSources()`
A set of Jar files or directories containing source code.
`int`
`hashCode()`
`boolean`
`isExported()`
Whether the library is exported to dependent modules.
`void`
`setClasses(Set<Path> classes)`
`void`
`setExported(boolean exported)`
`void`
`setJarDirectories(Set<JarDirectory> jarDirectories)`
`void`
`setJavadoc(Set<Path> javadoc)`
`void`
`setScope(String scope)`
`void`
`setSources(Set<Path> sources)`
`String`
`toString()`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Constructor Details

### ModuleLibrary

public ModuleLibrary(Collection<? extends Path> classes, Collection<? extends Path> javadoc, Collection<? extends Path> sources, Collection<JarDirectory> jarDirectories, String scope)

## Method Details

### getClasses

public Set<Path> getClasses()
A set of Jar files or directories containing compiled code.

### setClasses

public void setClasses(Set<Path> classes)

### getJarDirectories

public Set<JarDirectory> getJarDirectories()
A set of directories containing Jar files.

### setJarDirectories

public void setJarDirectories(Set<JarDirectory> jarDirectories)

### getJavadoc

public Set<Path> getJavadoc()
A set of Jar files or directories containing Javadoc.

### setJavadoc

public void setJavadoc(Set<Path> javadoc)

### getSources

public Set<Path> getSources()
A set of Jar files or directories containing source code.

### setSources

public void setSources(Set<Path> sources)

### getScope

public String getScope()
The scope of this library. If `null`, the scope attribute is not added.

### setScope

public void setScope(String scope)

### isExported

public boolean isExported()
Whether the library is exported to dependent modules.

### setExported

public void setExported(boolean exported)

### addToNode

public void addToNode(Node parentNode)

Specified by:
  `addToNode` in interface `Dependency`

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`

### toString

public String toString()

Overrides:
  `toString` in class `Object`